import { jsx } from "react/jsx-runtime";
import { TokenMINA as TokenMINA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMINA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MINA", "data-name": "TokenMINA", ...props, children: /* @__PURE__ */ jsx(TokenMINA$1, { variant }) });
  }
);
TokenMINA.displayName = "TokenMINA";
Object.assign(TokenMINA, { isGdsIcon: true });
export {
  TokenMINA
};
